FLANG

Static Public Attributes | List of all members
Fortran::common::RealDetails< BINARY_PRECISION > Class Template Reference
Inheritance diagram for Fortran::common::RealDetails< BINARY_PRECISION >:

## Static Public Attributes
static constexpr int | binaryPrecision {BINARY_PRECISION}
static constexpr int | bits {BitsForBinaryPrecision(binaryPrecision)}
static constexpr bool | isImplicitMSB {binaryPrecision != 64 }
static constexpr int | significandBits {binaryPrecision - isImplicitMSB}
static constexpr int | exponentBits {bits - significandBits - 1 }
static constexpr int | maxExponent {(1 << exponentBits) - 1}
static constexpr int | exponentBias {maxExponent / 2}
static constexpr int | decimalPrecision
static constexpr int | decimalRange {LogBaseTwoToLogBaseTen(exponentBias - 1)}
static constexpr int | maxDecimalConversionDigits

## Member Data Documentation

## ◆ decimalPrecision

template<int BINARY_PRECISION>

constexpr int Fortran::common::RealDetails< BINARY_PRECISION >::decimalPrecision
| static constexpr

Initial value:
{
LogBaseTwoToLogBaseTen(binaryPrecision - 1)}

## ◆ maxDecimalConversionDigits

template<int BINARY_PRECISION>

constexpr int Fortran::common::RealDetails< BINARY_PRECISION >::maxDecimalConversionDigits
| static constexpr

Initial value:
{
MaxDecimalConversionDigits(binaryPrecision)}

The documentation for this class was generated from the following file:

- include/flang/Common/real.h